{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.hostName}";
  flags = currentMachine.configurationFlags;
in

mkIf flags.nixos-manual {

  # Paquets
  environment.systemPackages = with pkgs; [
    bc
    mailutils
  ];

  # Services

  ## documentation sur ctrl + alt + F8
  services.nixosManual = {
    enable = true;
    showManual = true;
  };

  # Réseau
  networking.firewall = {
    allowedTCPPorts = [
    ];
    allowedUDPPorts = [
    ];
  };
}
